<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Create new Game</title>

</head>
<body class="black">
<!--/*@thymesVar id="game" type="com.pos_land.steam.domain.Game"*/-->
<div th:include="fragments/header :: header"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1>Create new Game</h1>
                </div>
            </div>
        </div>
    </div>
    <form method="post" th:object="${game}" th:action="@{/game/create/submit}">
        <div class="row">
            <div class="col-md-8 col-md-offset-2">
                <div>
                    <label>Name</label>
                    <input class="form-control" type="text" maxlength="300" th:field="*{gameName}">
                </div>
                <div>
                    <label>Releasedate</label>
                    <input class="form-control" type="date" th:field="*{releaseDate}">
                </div>
                <div>
                    <label>Price</label>
                    <input class="form-control" type="number" step="0.01" th:field="*{price}">
                </div>
                <div>
                    <label>Genre</label>
                    <select class="form-control" th:field="*{genre}">
                        <!--Creates a thymeleaf Parsing error, because Bitte wählen is not an EGenre ...
                        this is something to be aware of in the future for sure (happens because of the th:field^^^)-->
                        <!--<option disabled="disabled" selected>Bitte wählen...</option>-->

                        <option th:each="g : ${allGenres}" th:value="${g}" th:text="${g.name}"></option>
                    </select>
                </div>
                <div>
                    <label>Description</label>
                    <textarea style="resize: vertical; min-height: 60px;" class="form-control"
                              th:field="*{description}"></textarea>
                </div>
                <div>
                    <label>Publisher</label>
                    <!--Field is publisher.id because this field is a foreign key (?)-->
                    <select class="form-control" th:field="*{publisher.id}">
                        <option th:each="pub : ${allPublishers}" th:value="${pub.id}"
                                th:text="${pub.publisherName}"></option>
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="col-md-8 col-md-offset-2 container-popup">
                    <input type="submit" value="Confirm" class="btn btn-success">
                    <a href="#" th:href="@{'/games'}" class="btn btn-danger">Cancel</a>
                </div>
            </div>
    </form>
</div>
</div>
</body>
</html>